
//! # rustdoctest
//!
//! `rustdoctest` is a test ground for rustdoc

/// Does a lot of stuff
/// # Example
/// 
/// ```
/// assert_eq!( rustdoctest::i_panic(), Ok( 8 ) )
/// ```
///
/// # Panics
/// I panic there is nothing you can do
/// # Errors
/// No errors all is good
/// # Safety
/// Scoot is dangerous
pub fn i_panic() -> Result<u32, u32> {
    if false { panic!( "Hello World!!!!!" ); }
    println!( "Releasing SCOOT..." );
    Ok( 8 )
}

pub fn test() -> i32 {
    //! test function returns -74
    -74
}

pub use utils::mult;
pub use test_mod::*;

pub mod test_mod {

    pub use super::utils::mult;

    pub fn a() {
        println!( "a" );
    }

    pub fn b() {
        println!( "b" );
    }

}

pub mod utils {

    pub fn mult( a: i32, b: i32 ) -> i32 {
        a * b
    }

}
